| Home | Libraries | People | FAQ | More

## Function template to_lower

boost::algorithm::to_lower — Convert to lower case.

## Synopsis

    // In header: <boost/algorithm/string/case_conv.hpp>

    template<typename WritableRangeT>
      void to_lower(WritableRangeT & Input,
                    const std::locale & Loc = std::locale());

## Description

Each element of the input sequence is converted to lower case. The input sequence is modified in-place.

Parameters:

`Input` | A range
`Loc` | a locale used for conversion